const getActions = (h, value, data) => {
  let result = value.filter(n => {
    let { filter = () => true } = n;
    return filter.call(n, data);
  });

  return result.map(a => {
    if (a.isShow === undefined || a.isShow(data)) {
      return h(
        "span",
        {
          class: "el-button el-button--text",
          on: { click: () => a.click(data) },
          key: a.prop
        },
        a.label
      );
    }
  });
};

export default {
  functional: true,
  render: (h, { props: { value, data } }) => {
    return h("div", { class: "" }, getActions(h, value, data));
  }
};
