module.exports = {
    // root: true,
    // parserOptions: {
    //     parser: 'babel-eslint',
    //     sourceType: 'module',
    // },
    // env: {
    //     browser: true,
    // },
    // extends: ['airbnb-base', 'plugin:vue/recommended'],
    // plugins: [],
    // check if imports actually resolve
    // settings: {
    //     'import/resolver': {
    //         webpack: {
    //             config: 'build/webpack.base.conf.js',
    //         },
    //     },
    // },
    // add your custom rules here
    rules: {
        // don't require .vue extension when importing
        'import/extensions': [
            'error',
            'always',
            {
                js: 'never',
                vue: 'never',
            },
        ],
        // allow optionalDependencies
        'import/no-extraneous-dependencies': [
            'error',
            {
                optionalDependencies: ['test/unit/index.js'],
            },
        ],
        // allow debugger during development
        'no-debugger': process.env.NODE_ENV === 'production' ? 2 : 0,
        'indent': 'off',
        'vue/script-indent': [
            'error',
            4,
            {
                'baseIndent': 1
            }
        ]
    },
};
