/**
 * @Author: YH—Max
 * @Date: 2021/3/4 5:16 下午
 * @Description:
 *
 * */
import { get, post, postblob, deletes } from '@/request/http'
import store from '@/store/index'

/* 行程查询 */
export function MatchingMapping (data) {
  const url = process.env.VUE_APP_BASE_API10 + '/discovery/trip/v1/trip/MatchingMapping'
  // const url = 'http://192.168.0.6:8094/discovery/trip/v1/trip/MatchingMapping'
  return post(url, data)
}

/* 行程发布 */
export function pushRouteItem (data) {
  const url = process.env.VUE_APP_BASE_API10 + '/discovery/trip/v1/trip/ReleaseMapping'
  return post(url, data)
}

/* 删除某一个行程 */
export function deleteRouteItem (data) {
  const url = process.env.VUE_APP_BASE_API10 + '/discovery/trip/v1/trip/DeletionMapping'
  return post(url, data)
}

/* 插入行程 */
export function insertRouteItem (data) {
  const url = process.env.VUE_APP_BASE_API10 + '/discovery/trip/v1/trip/InsertMapping'
  return post(url, data)
}
