/**
 * @Author: YH—Max
 * @Date: 2020/11/25 2:40 下午
 * @Description: 导出默认网路配置
 * */
const network = {
  //配后端数据的接收方式application/json;charset=UTF-8或者application/x-www-form-urlencoded;charset=UTF-8
  contentType: "application/x-www-form-urlencoded;charset=UTF-8",
  //消息框消失时间
  messageDuration: 3000,
  //最长请求时间
  requestTimeout: 30000,
  // 接口无权限code
  noPermissionCode: 401
};

module.exports = network;
