/**
 * @Author: YH—Max
 * @Date: 2020/11/25 2:41 下午
 * @Description: 导出默认通用配置
 * */
const setting = {
  // 开发以及部署的URL
  publicPath: "",
  //生产环境构建文件的目录名
  outputDir: "tool",
  // 放置生产环境的静态资源（js、css、img、fonts）的目录
  assetsDir: "static",
  // 开发环境每次保存时是否输出eslint编译警告
  lintOnSave: false,
  //标题 （页面的标题 浏览器的标题）
  title: "小多智运",
  // 当前项目版本号
  versions: "1.0.0.0",
  // 路由模式，可选值为 history 或 hash
  routerMode: "hash",
  //加载时显示文字
  loadingText: "正在加载中..."
};

module.exports = setting;
