/**
 * @Author: YH—Max
 * @Date: 2020/11/25 2:32 下午
 * @Description: 导出默认配置(通用配置|主题配置|网络配置),建议在当前目录下修改config.js修改配置，会覆盖默认配置，也可以直接修改默认配置
 * */
// 默认配置
const { setting, theme, network } = require("./default");
//自定义配置
const config = require("./config");
// 导出配置
module.exports = Object.assign({}, setting, theme, network, config);
