import Vue from "vue";
import Vuex from "vuex";

Vue.use(Vuex);
import settings from "@/store/modules/settings";
import tabBars from "@/store/modules/tabBars";
import user from "@/store/modules/user";
import routes from "@/store/modules/routes";
import dispatch from "@/store/modules/dispatch";
import msg from "@/store/modules/msg";
import system from "@/store/modules/system";
export default new Vuex.Store({
  modules: {
    settings,
    tabBars,
    user,
    routes,
    dispatch,
    msg,
    system
  }
});
