/**
 * 订单列表筛选条件
 * @type {*[]}
 */
const dataSource = {
  localOrgId: [],
  RunTypes: [
    {
      id: "1",
      isShow: true,
      isLu: false,
      name: "同城用车"
    },
    {
      id: "2",
      isShow: true,
      isLu: true,
      name: "城际用车"
    },
    {
      id: "3",
      isShow: true,
      isLu: false,
      name: "接送用车"
    },
    {
      id: "4",
      isShow: false,
      isLu: false,
      name: "公务用车"
    },
    {
      id: "5",
      isShow: true,
      isLu: false,
      name: "货运"
    }
  ],
  orderSourceList: [
    {
      id: "9",
      name: "同程艺龙"
    },
    {
      id: "10",
      name: "携程旅游"
    },
    {
      id: "4",
      name: "司机录单"
    },
    {
      id: "6",
      name: "小程序"
    },
    {
      id: "7",
      name: "客服录单"
    }
  ],
  orderTypes: [
    {
      id: "1",
      name: "实时"
    },
    {
      id: "2",
      name: "预约"
    }
  ],
  paymentList: [
    {
      id: "1",
      name: "未支付"
    },
    {
      id: "2",
      name: "已支付"
    }
  ],
  hotType: [
    {
      id: "1",
      name: "飞机场"
    },
    {
      id: "2",
      name: "火车站"
    },
    {
      id: "3",
      name: "高铁站"
    },
    {
      id: "4",
      name: "客车站"
    }
  ],
  CarTypes: [
    {
      id: "1",
      name: "经济型"
    },
    {
      id: "2",
      name: "舒适型"
    },
    {
      id: "3",
      name: "商务型"
    },
    {
      id: "4",
      name: "豪华型"
    },
    {
      id: "5",
      name: "微型面包"
    },
    {
      id: "6",
      name: "厢式货车"
    },
    {
      id: "7",
      name: "厢式轻卡"
    },
    {
      id: "8",
      name: "SUV商务型"
    }
  ],
  CarStatus: [
    {
      id: "1",
      name: "待审核"
    },
    {
      id: "2",
      name: "休息中"
    },
    {
      id: "3",
      name: "听单中"
    },
    {
      id: "4",
      name: "行程中"
    },
    {
      id: "5",
      name: "已停运"
    }
  ],
  haveDriver: [
    {
      id: "1",
      name: "有驾驶人"
    },
    {
      id: "2",
      name: "无驾驶人"
    }
  ],
  orderStatusList: [
    {
      id: "0",
      name: "派单中"
    },
    {
      id: "1",
      name: "已派单"
    },
    {
      id: "2",
      name: "已接单"
    },
    {
      id: "3",
      name: "前往乘客预约地"
    },
    {
      id: "4",
      name: "已到达乘客预约地"
    },
    {
      id: "5",
      name: "服务中"
    }
    // {
    //   id: "6",
    //   name: "结束服务"
    // },
    // {
    //   id: "7",
    //   name: "派单失败"
    // },
    // {
    //   id: "11",
    //   name: "用户已取消"
    // },
    // {
    //   id: "12",
    //   name: "司机拒单"
    // },
    // {
    //   id: "13",
    //   name: "系统销单"
    // },
    // {
    //   id: "14",
    //   name: "司机已取消"
    // },
    // {
    //   id: "15",
    //   name: "同程已取消"
    // },
    // {
    //   id: "16",
    //   name: "调度已取消"
    // }
  ],
  waybillStatusList: [
    {
      id: "0",
      name: "派单中"
    },
    {
      id: "1",
      name: "已派单"
    },
    {
      id: "2",
      name: "开始行程"
    },
    {
      id: "4",
      name: "乘客上车"
    }
    // {
    //   id: "6",
    //   name: "结束服务"
    // },
    // {
    //   id: "11",
    //   name: "用户已取消"
    // },
    // {
    //   id: "12",
    //   name: "司机拒单"
    // },
    // {
    //   id: "13",
    //   name: "系统销单"
    // },
    // {
    //   id: "14",
    //   name: "司机已取消"
    // },
    // {
    //   id: "15",
    //   name: "同程已取消"
    // }
  ]
};
export default dataSource;
